basePath: /
definitions:
  addr.Address:
    properties:
      value:
        type: string
    type: object
  addr.GeocodeRequest:
    properties:
      lat:
        example: "55.753994"
        type: string
      lon:
        example: "37.620003"
        type: string
    required:
    - lat
    - lon
    type: object
  addr.GeocodeResponse:
    properties:
      suggestions:
        items:
          $ref: '#/definitions/addr.Address'
        type: array
    type: object
  addr.SearchRequest:
    properties:
      query:
        type: string
    type: object
  addr.SearchResponse:
    properties:
      suggestions:
        items:
          $ref: '#/definitions/addr.Address'
        type: array
    type: object
  jwt.UserReq:
    properties:
      password:
        example: pass
        type: string
      username:
        example: admin
        type: string
    type: object
host: localhost:8080
info:
  contact: {}
  description: Геосервис API с авторизацией
  title: задача 1.6.3 & задача 1.7.4
  version: "2.0"
paths:
  /api/address/geocode:
    post:
      consumes:
      - application/json
      description: Получить адрес по координатам
      parameters:
      - description: Geocode request
        in: body
        name: request
        required: true
        schema:
          $ref: '#/definitions/addr.GeocodeRequest'
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/addr.GeocodeResponse'
        "400":
          description: Bad request
          schema:
            type: string
        "401":
          description: Unauthorized
          schema:
            type: string
        "500":
          description: Internal server error
          schema:
            type: string
      security:
      - Bearer: []
      summary: Получить адрес по координатам
      tags:
      - geocode
  /api/address/search:
    post:
      consumes:
      - application/json
      description: Поиск адреса
      operationId: search
      parameters:
      - description: Search request
        in: body
        name: request
        required: true
        schema:
          $ref: '#/definitions/addr.SearchRequest'
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/addr.SearchResponse'
        "400":
          description: Bad request
          schema:
            type: string
        "401":
          description: Unauthorized
          schema:
            type: string
        "500":
          description: Internal server error
          schema:
            type: string
      security:
      - Bearer: []
      summary: Поиск адреса
      tags:
      - geocode
  /api/login:
    post:
      consumes:
      - application/json
      description: Логин пользователя.
      parameters:
      - description: User request
        in: body
        name: request
        required: true
        schema:
          $ref: '#/definitions/jwt.UserReq'
      produces:
      - application/json
      responses:
        "200":
          description: User logged in
          schema:
            type: string
        "400":
          description: Bad request
          schema:
            type: string
        "401":
          description: Invalid credentials
          schema:
            type: string
      summary: Логин пользователя
      tags:
      - auth
  /api/register:
    post:
      consumes:
      - application/json
      description: Регистрация нового пользователя.
      parameters:
      - description: User request
        in: body
        name: request
        required: true
        schema:
          $ref: '#/definitions/jwt.UserReq'
      produces:
      - application/json
      responses:
        "200":
          description: User registered
          schema:
            type: string
        "400":
          description: Bad request
          schema:
            type: string
      summary: Регистрация нового пользователя
      tags:
      - auth
securityDefinitions:
  Bearer:
    description: 'The following syntax must be used in the ''Authorization'' header:
      Bearer: xxxxxx.yyyyyyy.zzzzzz'
    in: header
    name: Authorization
    type: apiKey
swagger: "2.0"
